[arch-commits] Commit in libmusepack/repos (extra-i686 extra-i686/PKGBUILD)

Eric Bélanger eric at archlinux.org
Fri Apr 10 04:04:35 EDT 2009


    Date: Friday, April 10, 2009 @ 04:04:35
  Author: eric
Revision: 34573

Merged revisions 356,12122,34567 via svnmerge from 
svn+ssh://svn.archlinux.org/srv/svn-packages/libmusepack/trunk

Modified:
  libmusepack/repos/extra-i686/	(properties)
  libmusepack/repos/extra-i686/PKGBUILD

----------+
 PKGBUILD |   18 +++++++++++-------
 1 file changed, 11 insertions(+), 7 deletions(-)


Property changes on: libmusepack/repos/extra-i686
___________________________________________________________________
Modified: svnmerge-integrated
   - /libmusepack/trunk:1
   + /libmusepack/trunk:1-34572

Modified: extra-i686/PKGBUILD
===================================================================
--- extra-i686/PKGBUILD	2009-04-10 08:00:48 UTC (rev 34572)
+++ extra-i686/PKGBUILD	2009-04-10 08:04:35 UTC (rev 34573)
@@ -2,17 +2,21 @@
 # Maintainer: damir <damir at archlinux.org>
 
 pkgname=libmusepack
-pkgver=1.1
-pkgrel=2
+pkgver=1.1.1
+pkgrel=1
 pkgdesc="Musepack decoding library"
+arch=('i686' 'x86_64')
+url="http://musepack.net/"
+license=('BSD')
 depends=('glibc')
+options=('!libtool')
 source=(http://www.saunalahti.fi/grimmel/musepack.net-files/source/libmusepack-$pkgver.tar.bz2)
-url="http://musepack.net/"
-md5sums=('C06AA1DA054ED79989CD71D5300ED7C5')
+md5sums=('480033dea2fff03afcfa17dfb60c7527')
 
 build() {
-  cd $startdir/src/$pkgname-$pkgver
-  ./configure --prefix=/usr
+  cd $srcdir/$pkgname-$pkgver
+  ./configure --prefix=/usr || return 1
   make || return 1
-  make DESTDIR=$startdir/pkg install || return 1
+  make DESTDIR=$pkgdir install || return 1
+  install -Dm644 COPYING $pkgdir/usr/share/licenses/$pkgname/LICENSE
 }



More information about the arch-commits mailing list